# Uses of Interface
org.springframework.http.client.ClientHttpRequestInterceptor

Packages that use ClientHttpRequestInterceptor
Package
Description
org.springframework.http.client
Contains an abstraction over client-side HTTP.
org.springframework.http.client.support
This package provides generic HTTP support classes, to be used by higher-level classes like RestTemplate.
org.springframework.web.client
Core package of the client-side web support.

## Uses of ClientHttpRequestInterceptor in org.springframework.http.client

Constructor parameters in org.springframework.http.client with type arguments of type ClientHttpRequestInterceptor
Modifier
Constructor
Description
``
`InterceptingClientHttpRequestFactory(ClientHttpRequestFactory requestFactory, List<ClientHttpRequestInterceptor> interceptors)`
Create a new instance of the `InterceptingClientHttpRequestFactory` with the given parameters.

## Uses of ClientHttpRequestInterceptor in org.springframework.http.client.support

Classes in org.springframework.http.client.support that implement ClientHttpRequestInterceptor
Modifier and Type
Class
Description
`class`
`BasicAuthenticationInterceptor`
`ClientHttpRequestInterceptor` to apply a given HTTP Basic Authentication username/password pair, unless a custom `Authorization` header has already been set.
Methods in org.springframework.http.client.support that return types with arguments of type ClientHttpRequestInterceptor
Modifier and Type
Method
Description
`List<ClientHttpRequestInterceptor>`
InterceptingHttpAccessor.`getInterceptors()`
Get the request interceptors that this accessor uses.
Method parameters in org.springframework.http.client.support with type arguments of type ClientHttpRequestInterceptor
Modifier and Type
Method
Description
`void`
InterceptingHttpAccessor.`setInterceptors(List<ClientHttpRequestInterceptor> interceptors)`
Set the request interceptors that this accessor should use.

## Uses of ClientHttpRequestInterceptor in org.springframework.web.client

Methods in org.springframework.web.client with parameters of type ClientHttpRequestInterceptor
Modifier and Type
Method
Description
`RestClient.Builder`
RestClient.Builder.`requestInterceptor(ClientHttpRequestInterceptor interceptor)`
Add the given request interceptor to the end of the interceptor chain.
Method parameters in org.springframework.web.client with type arguments of type ClientHttpRequestInterceptor
Modifier and Type
Method
Description
`RestClient.Builder`
RestClient.Builder.`requestInterceptors(Consumer<List<ClientHttpRequestInterceptor>> interceptorsConsumer)`
Manipulate the interceptors with the given consumer.